package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanSyncTask;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SyncTaskMapper {
    /**
     */
    int deleteByPrimaryKey(String taskId);

    /**
     */
    int insert(TabHaobanSyncTask record);

    /**
     */
    int insertSelective(TabHaobanSyncTask record);

    /**
     */
    TabHaobanSyncTask selectByPrimaryKey(String taskId);

    /**
     */
    int updateByPrimaryKeySelective(TabHaobanSyncTask record);

    /**
     */
    int updateByPrimaryKey(TabHaobanSyncTask record);

    /**
     */
    List<TabHaobanSyncTask> listPageByWxEid(String wxEnterpriseId);

	List<TabHaobanSyncTask> listTaskByType(@Param("taskType")int taskType);
}